import influxframework


def execute():

	doctypes = influxframework.get_all("DocType", {"module": "Hub Node", "custom": 0}, pluck="name")
	for doctype in doctypes:
		influxframework.delete_doc("DocType", doctype, ignore_missing=True)

	influxframework.delete_doc("Module Def", "Hub Node", ignore_missing=True, force=True)
